<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddAarGroupMatrixReq StructType
 * @subpackage Structs
 */
class AddAarGroupMatrixReq extends APIRequest
{
    /**
     * The aarGroupMatrix
     * @var XAarGroupMatrix
     */
    public $aarGroupMatrix;
    /**
     * Constructor method for AddAarGroupMatrixReq
     * @uses AddAarGroupMatrixReq::setAarGroupMatrix()
     * @param XAarGroupMatrix $aarGroupMatrix
     */
    public function __construct(XAarGroupMatrix $aarGroupMatrix = null)
    {
        $this
            ->setAarGroupMatrix($aarGroupMatrix);
    }
    /**
     * Get aarGroupMatrix value
     * @return XAarGroupMatrix|null
     */
    public function getAarGroupMatrix()
    {
        return $this->aarGroupMatrix;
    }
    /**
     * Set aarGroupMatrix value
     * @param XAarGroupMatrix $aarGroupMatrix
     * @return AddAarGroupMatrixReq
     */
    public function setAarGroupMatrix(XAarGroupMatrix $aarGroupMatrix = null)
    {
        $this->aarGroupMatrix = $aarGroupMatrix;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddAarGroupMatrixReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
